C-----------------------------------------------------------------------
      module highlevel
C   Here: quantities as parameters, variables on highest program level
       implicit none
C   Double Precision
       integer, parameter,public ::
     & dp=selected_real_kind(2*precision(1.0))
C   Constants    
       real(dp),parameter,public :: EMACH=1.0e-8_dp,
     &                      PI=3.1415926535897932_dp
C   Physical units
       real(dp),parameter,public :: HARTREE=27.21168_dp,
     &   BOHR=0.52917706_dp
C   Number of nuclei
       integer,parameter,public  :: NK=2
C   Number of electrons
       integer,parameter,public  :: NE=2
C   Array maxima for nuclei und electrons
       integer,parameter,public  :: NEMAX=2,NKMAX=2
C  NES number electrons per spin
       integer,parameter,dimension(2),public  :: NES=(/1,1/)
       integer,parameter,public  :: NES1=1
      end module highlevel
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
      module midlevel
       use highlevel
C  Here: quantities may change during run
       implicit none
       SAVE
C  IE=1,NE index of electron
C  IES=1,2 index of spin: 1=up, 2=down
C  IEES=1,NES(IES) index of electrons of same spin
C  IENS=NES(IES) no. of electrons with specified spin
C  IK=1,NK index of nuclei
C  SPINSEL= spin select
       integer,public :: IE,IES,IK,IEES,IENS,IMCR,IBLOCKA,
     &                   SPINSEL
       integer,public :: IMC,IMCZ,IMCA,IA,IZ,MCOUNT
C  RK position array of nuclei
       real(dp),dimension(3,NK),public :: RK
C  RE actual electron position
C  RNEU updated new electron position
       real(kind=dp),dimension(3,NE),public :: RE,RNEU
C  QJC  acceptance ratio for James and Coolidge series
       real           :: QJC
C  MCSCHRITT = .true. if step is accepted
C  SWIRHO = .true. if density is calculated
C  SWICHA = .true. if Madelung charge is calculated
       logical,public :: MCSTEP,MCRUN,MCSCHRITT,SWIRHO,SWICHA
      end module midlevel
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
