#!/bin/bash
#PBS -o seriell.out
#PBS -j oe
#PBS -l walltime=240:00:00
#PBS -l select=1:quad=true:ncpus=1:mem=4gb
#PBS -q medium
#PBS -N N333_rz23
#
JOB="N333_rz23"
INP="j23"
WD=$HOME/Licluster/N333_hybrid/work/$JOB
HD=$HOME/Licluster/N333_hybrid

cd $PBS_O_WORKDIR

if test ! -e $WD
then
echo "because $WD does not exist, it is generated"
mkdir $WD
fi

cp $HD/*.f .

gfortran -C M_variables_Licluster_opt.f M_random_Limc.f M_lattice_Licluster.f \
M_orbital_Licluster_HF_hybrid.f M_determinant_Licluster_hybrid.f  M_jastrow_Licluster.f \
 M_observables_Licluster.f M_output_Lisolid.f Licluster_hybrid.f -o Licluster_hybrid.x

cp $HD/Li_begin_hybrid.job .
cp $HD/LATTICE_LI.DAT .
touch AVERAGE_ENERGY.DAT

echo 'Work begins at :' 
date -R

AB="  "
#A="0.92 0.93 0.94 0.95 0.96"
#B="0.97 0.98 0.99 1.00 1.01"
A="0.91"
B="0.97"
CJAS=0.25
echo CJAS=
echo $CJAS
C="_"
n=0
for i in $B
do
  SL1=`expr 97 \+ $n \* 1`
  n=`expr $n + 1`
  for k in $A
  do
  cat > aaa$SL1$C$k_$INP << EZ!
10000  800000  200
$i$AB$k
1.0
$CJAS
[EOF]
EZ!
  cat Li_begin_hybrid.job aaa$SL1$C$k_$INP > Li_$SL1$C$k.$INP
  chmod 700 Li_$SL1$C$k.$INP
  ./Li_$SL1$C$k.$INP >& Li_$JOB$C$SL1$C$k.log
  done
done

mv -f Li_*.log $WD
mv -f Li_*.$INP $WD
cp AVERAGE_ENERGY.DAT $WD
cp *.f $WD
rm aaa*_$INP


echo 'Work ends at:' 
date -R
qstat -f $PBS_JOBID

exit
