CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCYCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      program Li_test
C  Calculates orbitals of Li atom
       use highlevel
       use midlevel
       use lattice_Lisolid
       use orbital_HF
       use determinant
       use random
       use ewald
       use jastrow, JEXP=>JASEXPSOLID
       use observables
       use output
       implicit none
       integer                :: i,ii,j,jj,islap
       real(dp)               :: q,rd
       write(*,*)'Lattice constant, LATCON=',LATCON,'a.u.'
C  Open output data files
       call INITOUT
C  Fill an array with a set of random numbers to be available;
C  contained in M_random.f.
       call INITRAN
C  Set the lattice
       call INITLATTICE
C  Set the initial electron positions;
C  contained in M_random.f
CC Has been done in INITLATTICE
C       call INITRANNUMB
C  Associate electron with single particle wavefunction, normalize
C  wavefunction, and determine initial wavefunction matrix;
C  contained in M_orbital_Li.f
       SLAP=1.0_dp
       call INITORB
C  Set initial values for Jastrow parameters
       call INITJAS
C  Set initial values for inverse matrices;
C  contained in M_determinant.f
C       write(*,*)'PSIMAT(1:NES,1:NES,1:2)=',
C     &          (PSIMAT(1:NES(i),1:NES(i),i),i=1,2)
       call INITDET
C       write(*,*)'AOLD(1:3,1:3,1:2)=',(AOLD(1:3,1:3,i),i=1,2)
C  Set the initial values of the MC run;
C  contained in M_observables.f
       call INITOBS
C  Set the tables for the Ewald sum
       call INITVEWALD
C  Set the nucleus-nucleus energy of full primitive SL cell
C       NUNUEN = 0.0_dp
C       do i=1,NK
C        NUNUEN = NUNUEN + 1._dp/dsqrt (sum (RK(1:3,i)**2)) +
C     &           VEW(SULATTY,RK(1:3,i)/SULATCON)/SULATCON
C       end do
C       NUNUEN=-0.5_dp*CHARGE**2*NK*NUNUEN
C       write(*,*)'SLAP(1),SLAP(2)=?'
C       read(*,*)SLAP(1),SLAP(2)
C       write(*,*)'Slater parameter loop, initial and increment,
C     &            SLAP(1),SLAP(2)=',SLAP(1),SLAP(2)
       write(*,*)'STEPMAX=?'
       read(*,*) STEPMAX
       write(*,*)'Maximum step inteval= +-0.5*STEPMAX, STEPMAX=',
     &  STEPMAX
       write(*,*)'Prerun and main run number of steps, MCPRE,MCMAX=',
     &                                                 MCPRE,MCMAX
       write(*,*)'CJAS=?'
       read(*,*) CJAS
       write(*,*)'CJAS=',CJAS
C  Adjust STEPMAX by atomic scales
C       STEPMAX=STEPMAX*dsqrt(dabs(SLAP(1)*SLAP(2)))
C
C  !!!Wavefunction test:!!!
C       call WAVETEST
C  MC loop:
C  First, the prerun for thermalizing
      lrun:do IMCR=1,MCMAX
       IMC = 0
C  Start the main run with statistical sampling of the observables if
C  the number of prerun steps is reached. Initialize the observables
C  and their statistics
       if ( IMCR == MCPRE) then
        write(*,*)'prerun: MCPRE= ',MCPRE,' acc. ratio = ',
     &           100.*DBLE(MCOUNT)/DBLE(NE*(MCPRE)),' %  '
        call INITRANOBS
       end if
       IMC=IMCR-MCPRE+1
C
C  Inner loop on electron index:
       lelrun:do IE=1,NE
        IES=1
        IEES=IE
        if (IE > NES(1)) then
         IES=2
         IEES=IE-NES(1)
        end if
        SPINSEL=(IES-1)*NES(1)
        IENS=NES(IES)
C         write(*,*)'IES,IEES,AOLD=',IES,IEES,AOLD(IEES,1:3,IES)
        if (IENS /= 3*NK/2) then
         write(*,*) 'astarra: compare',IENS-NK,'=',NK/2
         stop
        end if
        do i=1,3
C  Shift position at random within +-STEPMAX/2
         rd = (FRAN(IFRAN)-0.5)*STEPMAX
         IFRAN = IFRAN + 1
         if (IFRAN > MRAN) then
          IRAN = IRAN + MRAN
          call FILLRAN
         end if
         RENEW(i,IE) = RE(i,IE)+rd
        end do
        ZENEW(1:3,IE) = RENEW(1:3,IE)/SULATCON
C        call FOLDTOWSC(ZENEW(1:3,IE))
        RENEW(1:3,IE) = ZENEW(1:3,IE)*SULATCON
C  Determine the new electron-nuclei distance vectors
C  Put the three later commands into a separate subroutine and
C  consider the IE electron only because of CPU time!!!
        call  RDISTELNU(RENEW(1:3,IE),RK(1:3,1:NK),RKENEW(1:4,1:NK,IE))
        ZKENEW(1:3,1:NK,IE) = RKENEW(1:3,1:NK,IE)/LATCON
        call MINDIST(NK,RKENEW(1:4,1:NK,IE),IKM(IE))
C        if (RKENEW(4,IKM(IE),IE) > LATCON) write(*,*)'IE,IKM(IE),RKE=',
C     &   IE,IKM(IE),RKENEW(1:4,IKM(IE),IE)
C  Calculate Jastrow factor quantities
        call JEXP
C  Calculate single particle wavefunction part
C  Herman-Skillman mesh parameters for IE position stored
        select case (ORBNAME)
         case("Compute Slater orbitals                 ")
          call ORBWAV(RKENEW(4,1:NK,IE),WPHI)
         case("Read Slater orbitals from spline file   ")
          call ORBSPLINE(RKENEW(4,1:NK,IE),WPHI,HRHS(IE,1:NK),
     &     HIHS(IE,1:NK))
         case default
          stop
         end select
C  Distribute 3*NK electrons upon orbitals of NK nuclei:
C  1st orbital on all NK nuclei for both spins,
C  2nd orbital on first nuclei for IES=1 and on last NK/2 nuclei for
C  spin IES=2.
        do ii=1,NK
         PSINEW(ii) = WPHI(ii,NELORB(SPINSEL+ii))
        end do
C           call LIDIMER(WPHI,WHYPHI) !for hybrid states
        do ii=NK+1,3*NK/2
C         PSINEW(ii) = WHYPHI(ii-NK+NK/2*(IES-1),NELORB(ii)) !for hybrid states
         PSINEW(ii) = WPHI(ii-NK+NK/2*(IES-1),NELORB(SPINSEL+ii))
        end do
C  The matrix PSIMAT of the determinant gets its column IEES
        do ii=1,IENS
         PSIMAT(ii,IEES,IES)=PSINEW(ii)
        end do
C   Calculate quotient QD, the ratio between new and old determinant,
C   as determinantal acceptance ratio
C   for the offered move of electron IEES of spin IES, calculated by
C   decomposition with respect to the cofactors
        QD(IES) =
     &   dot_product (AOLD(IEES,1:IENS,IES),PSIMAT(1:IENS,IEES,IES))
C  Test on acceptance
        q = (QD(IES)*QJ(IES))**2
        if (q < 1) then
         MCSTEP = (dble(FRAN(IFRAN)) < q)
         IFRAN = IFRAN + 1
         if (IFRAN .gt. MRAN) then
          IRAN=IRAN+MRAN
          call FILLRAN
         end if
        else
         MCSTEP = .true.
        end if
C  Calculates observables
        if (MCRUN) then
         call OBSERV
        end if
C  Update for acceptance or not
        lmcstep:if (MCSTEP) then
         RKE(1:4,1:NK,IE) = RKENEW(1:4,1:NK,IE)
         RE(1:3,IE) = RENEW(1:3,IE)
         call SLASM(QD(IES),AOLD(1:IENS,1:IENS,IES),
     &         PSIMAT(1:IENS,1:IENS,IES),ANEW(1:IENS,1:IENS,IES))
         AOLD(1:IENS,1:IENS,IES) = ANEW(1:IENS,1:IENS,IES)
         HIHSOLD(IE,1:NK) = HIHS(IE,1:NK)
         HRHSOLD(IE,1:NK) = HRHS(IE,1:NK)
         IKMOLD(IE) = IKM(IE)
         MCOUNT = MCOUNT + 1
        else lmcstep
         RENEW(1:3,IE) = RE(1:3,IE) ! forget the move
         RKENEW(1:4,1:NK,IE) = RKE(1:4,1:NK,IE)
        end if lmcstep
C  Calculate statistical results of observables per electron
        if (MCRUN) call OBSERVSTATEL
       end do lelrun
C
C  Calculate statistical results of observables for all electrons
       if (MCRUN) call OBSERVSTATALL
      end do lrun
C
C  Do the output
C  Write density data on file
      call OUTWRITE
C  Write logfile with output data and close data files
      call OUTLOG
      stop
      end program Li_test
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCYCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
