C-----------------------------------------------------------------------
      module output
       use highlevel
       use midlevel
       use orbital_HF,only:SLAP
       use jastrow, only:CJAS
       use observables
      contains
C-----------------------------------------------------------------------
      subroutine INITOUT
       open(unit=31,file='AVERAGE_ENERGY.DAT',status='old',
     &  position='append')
       open(unit=36,file='RAD_DENSITY.DAT',status='unknown')
C       open(unit=37,file='RAD_DENSITY_EL2.DAT',status='unknown')
C       open(unit=38,file='RAD_DENSITY_EL3.DAT',status='unknown')
      end subroutine INITOUT
C-----------------------------------------------------------------------
      subroutine OUTWRITE
       integer                       :: j,jj
       real(dp),dimension(NRHO)      :: denarr
       denarr = 0._dp
       do jj=1,NE
        do j=1,NRHO
         denarr(j) = denarr(j) + AVRHORAD(j,jj)*(j*DRHO)**2
C         write(34+jj,*) j*DRHO,AVRHORAD(j,jj)*(j*DRHO)**2
        end do
       end do
       denarr = denarr/NE
C       write(36,'(1(1x,f17.3,e12.5))') (j*DRHO,denarr(j),j=1,NRHO)
       write(31,'(3f7.3,2f12.6)')SLAP(1),SLAP(2),CJAS,
     &     AVTOTALL+NUNUEN,VARTOTALL
      end subroutine OUTWRITE
C-----------------------------------------------------------------------
      subroutine OUTLOG
       real(dp)                 :: hout
       write(*,*)'STEPMAX = ',STEPMAX
       write(*,*)'run: MCMAX-MCPRE= ',MCMAX-MCPRE,' acc. ratio = ',
     &           100._dp*DBLE(MCOUNT)/DBLE(NE*(MCMAX-MCPRE+1)),' %  '
       write(*,*)'AVELEN(IE) = average energy of electron IE:'
       write(*,'(5(1x,f12.3))') AVELEN
       write(*,*)'VARELEN(IE) = variance of energy of electron IE:'
       write(*,'(5(1x,f17.3))') VARELEN
       write(*,*)'AVTOTALL=',AVTOTALL
       write(*,*)'VARTOTALL=',VARTOTALL
       write(*,*)'AVBLOCKEL(IE) = ',
     &  'energy average of blocks of steps of electron IE'
       write(*,'(5(1x,f12.3))') AVBLOCKEL
       write(*,*)'VARBLOCKEL(IE) = ',
     &  'energy variance of blocks of steps of electron IE'
       write(*,'(5(1x,f17.3))') VARBLOCKEL
       write(*,*)'AVKINEL(IE) =  average kinetic energy of electron IE'
       write(*,'(5(1x,f12.3))') AVKINEL
       hout = sum (AVKINEL)/dble(NE)
       write(*,*)'total kinetic energy per electron =',hout
       write(*,*)'VARKINEL(IE)='
       write(*,'(5(1x,f17.3))') VARKINEL
       write(*,*)'AVTOTKIN=',AVTOTKIN
       write(*,*)'VARTOTKIN=',VARTOTKIN
       write(*,*)'AVVELEL(IE) =',
     &  'average kinetic energy of electron IE with velocity'
       write(*,'(5(1x,f12.3))') AVVELEL
       hout = sum (AVVELEL)/dble(NE)
       write(*,*)'total velocity energy per electron =',hout
       write(*,*)'VARVELEL='
       write(*,'(5(1x,f17.3))') VARVELEL
       write(*,*)'AVPOTEL =',
     &  'average one_particle potential energy of electron IE'
       write(*,'(5(1x,f12.3))') AVPOTEL
       hout = sum (AVPOTEL)/dble(NE)
       write(*,*)'total potential energy per electron =',hout
       write(*,*)'VARPOTEL='
       write(*,'(5(1x,f17.3))') VARPOTEL
       write(*,*)'AVTOTPOT=',AVTOTPOT
       write(*,*)'VARTOTPOT=',VARTOTPOT
       write(*,*)'AVINTEL =',
     &  'average interaction energy of electron IE'
       write(*,'(5(1x,f12.3))') AVINTEL
       hout = sum (AVINTEL)/dble(NE)
       write(*,*)'total interaction energy per electron =',hout
       write(*,*)'VARINTEL='
       write(*,'(5(1x,f17.3))') VARINTEL
       write(*,*)'AVTOTINT=',AVTOTINT
       write(*,*)'VARTOTINT=',VARTOTINT
       write(*,*)'Internuclear energy per electron: NUNUEN = ',NUNUEN
       write(*,*)'Total Energy=',AVTOTALL+NUNUEN
       close(31)
       close(36)
C       close(37)
C       close(38)
      end subroutine OUTLOG
C-----------------------------------------------------------------------
      end module output
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
