#!/bin/bash
#PBS -o seriell.out
#PBS -j oe
#PBS -l walltime=240:00:00
#PBS -l select=1:all=true:ncpus=1:mem=4gb
#PBS -q medium
#PBS -N sol_lcao4
#
JOB="lcao4"
INP="j4"
WD=$HOME/Lisolid/lcao/work/$JOB
HD=$HOME/Lisolid/lcao

cd $PBS_O_WORKDIR

if test ! -e $WD
then
echo "because $WD does not exist, it is generated"
mkdir $WD
fi

cp $HD/*.f .
gfortran -fbounds-check M_variables_Lisolid.f M_random_Lisolid.f M_lattice_Licluster.f M_ewald_cal_tab.f M_orbital_Lisolid_HF_lcao.f M_determinant_Lisolid_hybrid.f M_jastrow_Lisolid_sinewald.f M_observables_Lisolid.f M_output_Lisolid.f Lisolid_hybrid.f -o Lisolid.x

cp $HD/AKF.DAT .
cp $HD/LATTICE_LI.DAT .
cp $HD/VEWTAB.DAT .
cp $HD/VEW2DAT.DAT .
cp $HD/Li_begin.job .
echo 'Work begins at :' 
date -R

AB="  "
A="0.915 0.92 0.925 0.93 0.935 0.94 0.945 0.95 0.955 0.96" 
B="0.97 0.98 0.99 1.00 1.01 1.02 1.03 1.04 1.05"
#A="0.82"
#B="0.97"
CJAS=2.50
echo CJAS=
echo $CJAS
C="_"
n=0
for i in $B
do
  SL1=`expr 97 \+ $n \* 1`
  n=`expr $n + 1`
  for k in $A
  do
  cat > aaa$SL1$C$k_$INP << EZ!
1000  20000  200
$i$AB$k
1.0
$CJAS
[EOF]
EZ!
  cat Li_begin.job aaa$SL1$C$k_$INP > Li_$SL1$C$k.$INP
  chmod 700 Li_$SL1$C$k.$INP
  ./Li_$SL1$C$k.$INP >& Li_$JOB$C$SL1$C$k.log
  done
done

cp $HD/HFnew.sh $WD
mv -f Li_*.log $WD
mv -f Li_*.$INP $WD
cp AVERAGE_ENERGY.DAT $WD
cp *.f $WD
rm aaa*_$INP
rm Licluster.x
echo 'Work ends at:' 
date -u 


